com.fasterxml.jackson.datatype.joda

## Class JodaMapper

- java.lang.Object
- - com.fasterxml.jackson.core.TreeCodec
  - - com.fasterxml.jackson.core.ObjectCodec
    - - com.fasterxml.jackson.databind.ObjectMapper
      - - com.fasterxml.jackson.datatype.joda.JodaMapper

All Implemented Interfaces:
  com.fasterxml.jackson.core.Versioned, Serializable

    public class JodaMapper
    extends com.fasterxml.jackson.databind.ObjectMapper

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.ObjectMapper

`com.fasterxml.jackson.databind.ObjectMapper.DefaultTypeResolverBuilder, com.fasterxml.jackson.databind.ObjectMapper.DefaultTyping`

### Field Summary

### Fields inherited from class com.fasterxml.jackson.databind.ObjectMapper

`_defaultPrettyPrinter, _deserializationConfig, _deserializationContext, _injectableValues, _jsonFactory, _mixInAnnotations, _rootDeserializers, _rootNames, _serializationConfig, _serializerFactory, _serializerProvider, _subtypeResolver, _typeFactory, DEFAULT_ANNOTATION_INTROSPECTOR, DEFAULT_BASE, DEFAULT_INTROSPECTOR, STD_VISIBILITY_CHECKER`

### Constructor Summary

Constructors
Constructor and Description
`JodaMapper()`

### Method Summary

Methods
`boolean` `getWriteDatesAsTimestamps()` Convenience method that is shortcut for:
`void` `setWriteDatesAsTimestamps(boolean state)` Convenience method that is shortcut for:

### Methods inherited from class com.fasterxml.jackson.databind.ObjectMapper

`_checkInvalidCopy, _configAndWriteValue, _configAndWriteValue, _convert, _defaultPrettyPrinter, _findRootDeserializer, _initForReading, _readMapAndClose, _readValue, _serializerProvider, _unwrapAndDeserialize, _verifySchemaType, acceptJsonFormatVisitor, acceptJsonFormatVisitor, addHandler, addMixInAnnotations, canDeserialize, canDeserialize, canSerialize, canSerialize, clearProblemHandlers, configure, configure, configure, configure, configure, constructType, convertValue, convertValue, convertValue, copy, createArrayNode, createDeserializationContext, createObjectNode, disable, disable, disable, disable, disable, disableDefaultTyping, enable, enable, enable, enable, enable, enableDefaultTyping, enableDefaultTyping, enableDefaultTyping, enableDefaultTypingAsProperty, findAndRegisterModules, findMixInClassFor, findModules, findModules, generateJsonSchema, getDeserializationConfig, getDeserializationContext, getFactory, getJsonFactory, getNodeFactory, getSerializationConfig, getSerializerFactory, getSerializerProvider, getSubtypeResolver, getTypeFactory, getVisibilityChecker, isEnabled, isEnabled, isEnabled, isEnabled, isEnabled, isEnabled, mixInCount, reader, reader, reader, reader, reader, reader, reader, reader, reader, reader, reader, readerForUpdating, readerWithView, readTree, readTree, readTree, readTree, readTree, readTree, readTree, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValues, readValues, readValues, readValues, registerModule, registerModules, registerModules, registerSubtypes, registerSubtypes, setAnnotationIntrospector, setAnnotationIntrospectors, setBase64Variant, setConfig, setConfig, setDateFormat, setDefaultTyping, setFilters, setHandlerInstantiator, setInjectableValues, setLocale, setMixInAnnotations, setNodeFactory, setPropertyNamingStrategy, setSerializationInclusion, setSerializerFactory, setSerializerProvider, setSubtypeResolver, setTimeZone, setTypeFactory, setVisibility, setVisibilityChecker, treeAsTokens, treeToValue, valueToTree, version, writer, writer, writer, writer, writer, writer, writer, writer, writer, writer, writerWithDefaultPrettyPrinter, writerWithType, writerWithType, writerWithType, writerWithView, writeTree, writeTree, writeValue, writeValue, writeValue, writeValue, writeValueAsBytes, writeValueAsString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JodaMapper

    public JodaMapper()

### Method Detail

#### getWriteDatesAsTimestamps

    public boolean getWriteDatesAsTimestamps()

Convenience method that is shortcut for:

      module.isEnabled(SerializationFeature.WRITE_DATES_AS_TIMESTAMPS);

#### setWriteDatesAsTimestamps

    public void setWriteDatesAsTimestamps(boolean state)

Convenience method that is shortcut for:

      configure(SerializationFeature.WRITE_DATES_AS_TIMESTAMPS, state)